#!/usr/bin/ksh

# -----------------------------------------------------------------------
# Ping the given IP address using the ping utility
#
# @param
# ipaddress=<IP address>
#
# @return
#	result=fail
#			In case received attribute of ping indicates that no packets 
#			received
#
#	result=success
#			In case received attribute of ping indicates that more then one 
#			packets received
#
# ------------------------------------------------------------------------

ipaddress="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

result=$(ping -c 1 $ipaddress | grep 'received' | awk -F',' '{ print $2 }' | awk '{ print $1 }')

if [ $result -eq 0 ]; then
    # 100% failed
    echo "result=fail"
    exit 0
fi
echo "result=success"
exit 0
