#! /bin/bash

# -----------------------------------------------------------------------
# @deprecated
# Use get_agent_info.sh instead
#
# Searches endpoint.properties for unmanagedAgent and 
# AgentManagerQuery.Host properties.
#
# @return
#	result=fail 
#				In case property file not found
#	
#	result=success,agent_am_ip=unmanaged
#				In case unmanagedAgent property set to true
#	
#	result=success,agent_am_ip=<agent manager IP>
#				This is the value of AgentManagerQuery.Host
#				In case unmanagedAgent property set to true
#
# ------------------------------------------------------------------------

endpoint_props="/opt/ibm/director/agent/runtime/agent/config/endpoint.properties"
if [ ! -e "$endpoint_props" ]; then
        echo "result=fail"
        exit 0;
fi

unmanaged="$(cat "$endpoint_props" | grep unmanagedAgent | awk '{{split($0, split_result, "=")} {print split_result[2]}}')"
ipaddress="$(cat "$endpoint_props" | grep AgentManagerQuery.Host | awk '{{split($0, split_result, "=")} {print split_result[2]}}')"

if [ "$unmanaged" = "true" ]; then
	echo "result=success,agent_am_ip=unmanaged"
	exit 0;
fi

echo "result=success,agent_am_ip=$ipaddress"
