#! /bin/bash

piv_dir="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

cd $piv_dir
./PostInstallValidator_xLin -s -n -o $piv_dir

RC=$?

# PIV returned INVALID 
if [ "$RC" = "-1" ]; then
	res_status=fail
fi

# PIV returned OK
if [ "$RC" = "0" ]; then
	res_status=success
fi

# PIV returned WARN
if [ "$RC" = "1" ]; then
	res_status=fail
fi

# PIV returned FAIL
if [ "$RC" = "2" ]; then
	res_status=fail
fi

# PIV returned ERROR
if [ "$RC" = "3" ]; then
	res_status=fail
fi

# construct the path of the report
report_location=$piv_dir"PostInstallationReport.html"

echo "result="$res_status",report="$report_location
exit 0

