@echo off


rem -----------------------------------------------------------------------
rem Executes PIV test and return status + report
rem
rem @param
rem	piv_dir=<PIV directory>
rem
rem @return
rem	result={success, fail},report={generated report file name}
rem			
rem
rem ------------------------------------------------------------------------
set piv_dir=%2


rem -----------------------------------------------
rem for the demo we assume the PIV package is found
rem in this directory
rem -----------------------------------------------
rem cd C:\temp\ddf\pd\exec\PostInstallValidator_Win
cd "%piv_dir%"

call PostInstallValidator_Win.exe -s -n -f -o %piv_dir%

rem PIV returned INVALID 
IF ERRORLEVEL -1 SET res_status=fail

rem PIV returned OK
IF ERRORLEVEL 0 SET res_status=success

rem PIV returned WARN
IF ERRORLEVEL 1 SET res_status=fail

rem PIV returned FAIL
IF ERRORLEVEL 2 SET res_status=fail

rem PIV returned ERROR
IF ERRORLEVEL 3 SET res_status=fail


rem construct the path of the report
set report_location=%piv_dir%PostInstallationReport.html

	
rem ---------------------------------------------------
rem We rely on the fact that there is always a report
rem being produced
rem ---------------------------------------------------
echo result=%res_status%,report=%report_location%
exit /b 0
